CUT(1)

NAZWA
cut - usuń sekcje z każdej linii plików

SKŁADNIA
cut [OPCJA]... [PLIK]...

OPIS

Wypisuje wybrane części linii z każdego PLIKU na standardowe wyjście.

Argumenty obowiązkowe dla opcji długich obowiązują również dla krótkich.

-b, --bytes=LISTA
    wypisuje tylko bajty określone w LIŚCIE

-c, --characters=LISTA
    wypisuje tylko znaki określone w LIŚCIE

-d, --delimiter=OGRANICZNIK
    używa jako separatora pól znaku OGRANICZNIK zamiast tabulacji

-f, --fields=LISTA
    wypisuje tylko podane pola oraz wszystkie linie, które nie zawierają znaku separatora, chyba że podano opcję -s

-n  (ignorowane)

-s, --only-delimited
    nie wypisuje linii nie zawierających separatora

--output-delimiter=ŁAŃCUCH
    używa ŁAŃCUCHA jako separatora danych wyjściowych; domyślnie używany jest w tej roli separator danych wejściowych

--help
    wyświetla krótki komunikat pomocy i kończy pracę

--version
    wyświetla informację o wersji i kończy pracę

Należy użyć jednej i tylko jednej spośród opcji -b, -c lub -f.

Każda LISTA składa się z jednego zakresu lub z kilku zakresów rozdzielonych przecinkami. Każdy zakres składa się z jednego z podanych wyrażeń:

N   N-ty bajt, znak lub pole, liczone od 1

N-  od N-tego bajtu, znaku lub pola do końca linii

N-M od N-tego do M-tego (włącznie) bajtu, znaku lub pola

-M  od pierwszego do M-tego (włącznie) bajtu, znaku lub pola

Porządek bajtów, znaków lub pól na wyjściu programu będzie dokładnie taki sam, jak na wejściu. Jeżeli nie podano argumentu PLIK, lub gdy PLIK jest równy '-', będzie używane standardowe wejście.

AUTOR
Napisane przez Davida Ihnata, Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
paste(1), join(1), textutils(1)

Pełna dokumentacja programu cut jest utrzymywana w postaci podręcznika Texinfo. Jeżeli masz zainstalowane odpowiednie programy, to dostęp do niego uzyskasz wpisując w wierszu poleceń:
    pinfo cut
lub
    info cut.